Subject: bug#34580: Service ssh-daemon could not be started

From: "Brant Gardner" <[email-masked]>
Date: Sun, 29 Sep 2019 08:02:41 -0500

I went looking for the pid to answer Ludo's question and didn't find strace, and the ssh command line was wrong so I got suspicious.

After searching a bit, I found the problem: I'm an idiot.  'make' apparently did not succeed after all and I simply failed to catch it.  I went back and re-executed everything, slower this time and paying better attention and found this after 'make check':

make[2]: Entering directory '/home/bgardner/Development/guix/po/guix'
test ! -f ./guix.pot || \
  test -z "cs.gmo da.gmo de.gmo [email-masked] [email-masked] eo.gmo es.gmo fr.gmo hu.gmo pl.gmo pt_BR.gmo sr.gmo sv.gmo vi.gmo zh_CN.gmo" || make cs.gmo da.gmo de.gmo [email-masked] [email-masked] eo.gmo es.gmo fr.gmo hu.gmo pl.gmo pt_BR.gmo sr.gmo sv.gmo vi.gmo zh_CN.gmo
make[3]: Entering directory '/home/bgardner/Development/guix/po/guix'
make[3]: 'cs.gmo' is up to date.
make[3]: 'da.gmo' is up to date.
make[3]: 'de.gmo' is up to date.
rm -f [email-masked] && /gnu/store/byxp8n6qsyg2pm1p5x409sag9mbj1b3r-profile/bin/msgfmt -c --statistics --verbose -o [email-masked] [email-masked]
[email-masked]:2857: format specifications in 'msgstr[0]' are not a subset of those in 'msgid_plural'
[email-masked]:2864: format specifications in 'msgstr[0]' are not a subset of those in 'msgid_plural'
/gnu/store/byxp8n6qsyg2pm1p5x409sag9mbj1b3r-profile/bin/msgfmt: found 2 fatal errors
[email-masked]: 916 translated messages.
make[3]: *** [Makefile:201: [email-masked]] Error 1
make[3]: Leaving directory '/home/bgardner/Development/guix/po/guix'
make[2]: *** [Makefile:238: stamp-po] Error 2
make[2]: Leaving directory '/home/bgardner/Development/guix/po/guix'
make[1]: *** [Makefile:4862: check-recursive] Error 1
make[1]: Leaving directory '/home/bgardner/Development/guix'
make: *** [Makefile:5330: check] Error 2

I've no idea what this 'msgfmt' issue is, however.  Any suggestions?

--
Brant Gardner

On Sat, Sep 28, 2019, at 08:54, pelzflorian (Florian Pelz) wrote:
> On Sat, Sep 28, 2019 at 07:38:49AM -0500, Brant Gardner wrote:
> > Hi Ludo;
> > 
> > Okay, I did those steps exactly:
> > 
> >   - clone
> >   - patch -p1 < your-patch
> >   - ./bootstrap
> >   - ./configure --localstatedir=/var
> >   - make check
> >   - sudo -E ./pre-inst-env guix system reconfigure /path/to/myconfig.scm
> >   - reboot
> > 
> > I had no issues or errors at any step and on reboot ssh-daemon tried & failed to start so all went according to plan, but /tmp does *not* have a ssh log file in it.
> > 
> > Not sure where this went sideways, any advice?
> > 
> > Thank you,
> > 
> 
> Perhaps /tmp is the wrong directory to store such an early log?  I
> have a Guix virtual machine where ssh-daemon, httpd, php-fpm and
> term-auto cannot be started on boot.  /var/log/debug contains:
> 
> Sep 28 15:47:00 localhost vmunix: [    0.898260] Write protecting the 
> kernel read-only data: 18432k
> Sep 28 15:47:00 localhost vmunix: [    0.900802] Freeing unused kernel 
> image memory: 2036K
> Sep 28 15:47:00 localhost vmunix: [    0.902187] Freeing unused kernel 
> image memory: 72K
> Sep 28 15:47:00 localhost vmunix: [    0.903142] Run /init as init 
> process
> Sep 28 15:47:00 localhost vmunix: [    1.168976] usbcore: registered 
> new interface driver usb-storage
> Sep 28 15:47:00 localhost vmunix: [    1.184777] usbcore: registered 
> new interface driver uas
> Sep 28 15:47:00 localhost vmunix: [    1.202265] hidraw: raw HID events 
> driver (C) Jiri Kosina
> Sep 28 15:47:01 localhost shepherd[1]: Service ssh-daemon could not be 
> started. 
> Sep 28 15:47:01 localhost vmunix: [    1.204318] usbcore: registered 
> new interface driver usbhid
> Sep 28 15:47:01 localhost vmunix: [    1.204320] usbhid: USB HID core 
> driver
> Sep 28 15:47:01 localhost vmunix: [    1.270227] isci: Intel(R) C600 
> SAS Controller Driver - version 1.2.0
> Sep 28 15:47:01 localhost vmunix: [    1.445126] EXT4-fs (sda1): 
> mounted filesystem with ordered data mode. Opts: (null)
> Sep 28 15:47:01 localhost vmunix: [    2.387966] random: fast init done
> Sep 28 15:47:01 localhost vmunix: [    3.554499] random: ssh-keygen: 
> uninitialized urandom read (32 bytes read)
> Sep 28 15:47:01 localhost vmunix: [    4.219031] random: shepherd: 
> uninitialized urandom read (4096 bytes read)
> Sep 28 15:47:02 localhost vmunix: [    4.615089] random: crng init done
> Sep 28 15:47:02 localhost vmunix: [    5.199788] shepherd[1]: Service 
> root has been started.
> Sep 28 15:47:02 localhost vmunix: [    6.559652] shepherd[1]: starting 
> services...
> Sep 28 15:47:02 localhost vmunix: [    6.563503] shepherd[1]: Service 
> root-file-system has been started.
> Sep 28 15:47:02 localhost vmunix: [    6.567531] shepherd[1]: Service 
> user-file-systems has been started.
> Sep 28 15:47:02 localhost vmunix: [    6.656184] shepherd[1]: waiting 
> for udevd...
> 
> I do not know if this is a problem with the order in which services,
> crng, mounting start.
> 
> Regards,
> Florian
>